Package com.collabnet.ce.soap60.webservices.cemain

# Class User2SoapDO

java.lang.Object
com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO
com.collabnet.ce.soap60.webservices.cemain.User2SoapDO

public class User2SoapDO extends com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO
Represents a user within TeamForge.

Since:
  7.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `FILTER_EMAIL`
  Filter name for email address.
  `static final String`
  `FILTER_FULL_NAME`
  Filter name for full name.
  `static final String`
  `FILTER_LAST_LOGIN_AFTER`
  Filter name for last login after.
  `static final String`
  `FILTER_LAST_LOGIN_BEFORE`
  Filter name for last login before.
  `static final String`
  `FILTER_LICENSE_TYPE`
  Filter name for license.
  `static final String`
  `FILTER_STATUS`
  Filter name for status.
  `static final String`
  `FILTER_USERNAME`
  Filter name for username.
  `static final String`
  `LICENSE_TYPE_ALM`
  `static final String`
  `LICENSE_TYPE_SCM`
  `static final String`
  `STATUS_ACTIVE`
  `static final String`
  `STATUS_DISABLED`
  `static final String`
  `STATUS_PENDING`
  `static final String`
  `STATUS_REMOVED`
  `static final int`
  `WITH_ASSIGNED_GROUP_MEMBERS`
  Flag to include any project member or group member who have been assigned a Tracker; Exclude super users who don't satisfy the above criteria
  `static final int`
  `WITH_PROJECT_MEMBERS`
  Flag to include any project member in the user list
  `static final int`
  `WITH_SUPERUSERS`
  Flag to include super users from the user list
  `static final int`
  `WITHOUT_GROUP_MEMBERS`
  Flag to exclude users who are members of the project through a group role association
  `static final int`
  `WITHOUT_SUPERUSERS`
  Flag to exclude super users from the user list

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `User2SoapDO()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAlternateEmail1()`
  Returns 'alternateEmail1'.
  `String`
  `getAlternateEmail2()`
  Returns 'alternateEmail2'.
  `String`
  `getAlternateEmail3()`
  Returns 'alternateEmail3'.
  `String`
  `getEmail()`
  Returns 'email'.
  `String`
  `getFullName()`
  Returns 'fullName'.
  `Date`
  `getLastLogin()`
  Returns 'lastLogin'.
  `String`
  `getLicenseType()`
  Returns 'licenseType'.
  `String`
  `getLocale()`
  Returns 'locale'.
  `String`
  `getOrganization()`
  Returns 'organization'.
  `String`
  `getProfilePictureLink()`
  Returns 'profilePictureLink'.
  `boolean`
  `getRestrictedUser()`
  Returns 'restrictedUser'.
  `String`
  `getStatus()`
  Returns 'status'.
  `boolean`
  `getSuperUser()`
  Returns 'superUser'.
  `String`
  `getTimeZone()`
  Returns 'timeZone'.
  `String`
  `getUsername()`
  Returns 'username'.
  `static void`
  `registerTypeMappings(org.apache.axis.client.Call call)`
  `void`
  `setAlternateEmail1(String alternateEmail1)`
  Sets 'alternateEmail1'.
  `void`
  `setAlternateEmail2(String alternateEmail2)`
  Sets 'alternateEmail2'.
  `void`
  `setAlternateEmail3(String alternateEmail3)`
  Sets 'alternateEmail3'.
  `void`
  `setEmail(String email)`
  Sets 'email'.
  `void`
  `setFullName(String fullName)`
  Sets 'fullName'.
  `void`
  `setLastLogin(Date lastLogin)`
  Sets 'lastLogin'.
  `void`
  `setLicenseType(String licenseType)`
  Sets 'licenseType'.
  `void`
  `setLocale(String locale)`
  Sets 'locale'.
  `void`
  `setOrganization(String organization)`
  Sets 'organization'.
  `void`
  `setProfilePictureLink(String profilePictureLink)`
  Sets 'profilePictureLink'.
  `void`
  `setRestrictedUser(boolean restrictedUser)`
  Sets 'restrictedUser'.
  `void`
  `setStatus(String status)`
  Sets 'status'.
  `void`
  `setSuperUser(boolean superUser)`
  Sets 'superUser'.
  `void`
  `setTimeZone(String timeZone)`
  Sets 'timeZone'.
  `void`
  `setUsername(String username)`
  Sets 'username'.

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO

  `getCreatedBy, getCreatedDate, getId, getLastModifiedBy, getLastModifiedDate, getVersion, setCreatedBy, setCreatedDate, setId, setLastModifiedBy, setLastModifiedDate, setVersion`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### STATUS_ACTIVE

    public static final String STATUS_ACTIVE
    See Also:
      - Constant Field Values

  - ### STATUS_PENDING

    public static final String STATUS_PENDING
    See Also:
      - Constant Field Values

  - ### STATUS_DISABLED

    public static final String STATUS_DISABLED
    See Also:
      - Constant Field Values

  - ### STATUS_REMOVED

    public static final String STATUS_REMOVED
    See Also:
      - Constant Field Values

  - ### LICENSE_TYPE_ALM

    public static final String LICENSE_TYPE_ALM
    See Also:
      - Constant Field Values

  - ### LICENSE_TYPE_SCM

    public static final String LICENSE_TYPE_SCM
    See Also:
      - Constant Field Values

  - ### FILTER_USERNAME

    public static final String FILTER_USERNAME
    Filter name for username.
    See Also:
      - Constant Field Values

  - ### FILTER_STATUS

    public static final String FILTER_STATUS
    Filter name for status.
    See Also:
      - Constant Field Values

  - ### FILTER_LICENSE_TYPE

    public static final String FILTER_LICENSE_TYPE
    Filter name for license.
    See Also:
      - Constant Field Values

  - ### FILTER_EMAIL

    public static final String FILTER_EMAIL
    Filter name for email address.
    See Also:
      - Constant Field Values

  - ### FILTER_FULL_NAME

    public static final String FILTER_FULL_NAME
    Filter name for full name.
    See Also:
      - Constant Field Values

  - ### FILTER_LAST_LOGIN_BEFORE

    public static final String FILTER_LAST_LOGIN_BEFORE
    Filter name for last login before.
    See Also:
      - Constant Field Values

  - ### FILTER_LAST_LOGIN_AFTER

    public static final String FILTER_LAST_LOGIN_AFTER
    Filter name for last login after.
    See Also:
      - Constant Field Values

  - ### WITHOUT_SUPERUSERS

    public static final int WITHOUT_SUPERUSERS
    Flag to exclude super users from the user list
    See Also:
      - Constant Field Values

  - ### WITH_SUPERUSERS

    public static final int WITH_SUPERUSERS
    Flag to include super users from the user list
    See Also:
      - Constant Field Values

  - ### WITH_PROJECT_MEMBERS

    public static final int WITH_PROJECT_MEMBERS
    Flag to include any project member in the user list
    See Also:
      - Constant Field Values

  - ### WITH_ASSIGNED_GROUP_MEMBERS

    public static final int WITH_ASSIGNED_GROUP_MEMBERS
    Flag to include any project member or group member who have been assigned a Tracker; Exclude super users who don't satisfy the above criteria
    See Also:
      - Constant Field Values

  - ### WITHOUT_GROUP_MEMBERS

    public static final int WITHOUT_GROUP_MEMBERS
    Flag to exclude users who are members of the project through a group role association
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### User2SoapDO

    public User2SoapDO()

- ## Method Details

  - ### getUsername

    public String getUsername()
    Returns 'username'. User name (used for login authentication).
    Returns:
      Value of 'username'.

  - ### setUsername

    public void setUsername(String username)
    Sets 'username'. User name (used for login authentication).
    Parameters:
      `username` - Value of 'username'.

  - ### getEmail

    public String getEmail()
    Returns 'email'. User's email address.
    Returns:
      Value of 'email'.

  - ### setEmail

    public void setEmail(String email)
    Sets 'email'. User's email address.
    Parameters:
      `email` - Value of 'email'.

  - ### getAlternateEmail1

    public String getAlternateEmail1()
    Returns 'alternateEmail1'. Alternate Email Address 1
    Returns:
      Value of 'alternateEmail1'.

  - ### setAlternateEmail1

    public void setAlternateEmail1(String alternateEmail1)
    Sets 'alternateEmail1'. Alternate Email Address 1
    Parameters:
      `alternateEmail1` - Value of 'alternateEmail1'.

  - ### getAlternateEmail2

    public String getAlternateEmail2()
    Returns 'alternateEmail2'. Alternate Email Address 2
    Returns:
      Value of 'alternateEmail2'.

  - ### setAlternateEmail2

    public void setAlternateEmail2(String alternateEmail2)
    Sets 'alternateEmail2'. Alternate Email Address 2
    Parameters:
      `alternateEmail2` - Value of 'alternateEmail2'.

  - ### getAlternateEmail3

    public String getAlternateEmail3()
    Returns 'alternateEmail3'. Alternate Email Address 3
    Returns:
      Value of 'alternateEmail3'.

  - ### setAlternateEmail3

    public void setAlternateEmail3(String alternateEmail3)
    Sets 'alternateEmail3'. Alternate Email Address 3
    Parameters:
      `alternateEmail3` - Value of 'alternateEmail3'.

  - ### getFullName

    public String getFullName()
    Returns 'fullName'. User's full name.
    Returns:
      Value of 'fullName'.

  - ### setFullName

    public void setFullName(String fullName)
    Sets 'fullName'. User's full name.
    Parameters:
      `fullName` - Value of 'fullName'.

  - ### getOrganization

    public String getOrganization()
    Returns 'organization'. User's company name.
    Returns:
      Value of 'organization'.

  - ### setOrganization

    public void setOrganization(String organization)
    Sets 'organization'. User's company name.
    Parameters:
      `organization` - Value of 'organization'.

  - ### getLocale

    public String getLocale()
    Returns 'locale'. User's language.
    Returns:
      Value of 'locale'.

  - ### setLocale

    public void setLocale(String locale)
    Sets 'locale'. User's language.
    Parameters:
      `locale` - Value of 'locale'.

  - ### getTimeZone

    public String getTimeZone()
    Returns 'timeZone'. User's time-zone.
    Returns:
      Value of 'timeZone'.

  - ### setTimeZone

    public void setTimeZone(String timeZone)
    Sets 'timeZone'. User's time-zone.
    Parameters:
      `timeZone` - Value of 'timeZone'.

  - ### getSuperUser

    public boolean getSuperUser()
    Returns 'superUser'. Is user a super-user?
    Returns:
      Value of 'superUser'.

  - ### setSuperUser

    public void setSuperUser(boolean superUser)
    Sets 'superUser'. Is user a super-user?
    Parameters:
      `superUser` - Value of 'superUser'.

  - ### getRestrictedUser

    public boolean getRestrictedUser()
    Returns 'restrictedUser'. Is user a restricted user?
    Returns:
      Value of 'restrictedUser'.

  - ### setRestrictedUser

    public void setRestrictedUser(boolean restrictedUser)
    Sets 'restrictedUser'. Is user a restricted user?
    Parameters:
      `restrictedUser` - Value of 'restrictedUser'.

  - ### getStatus

    public String getStatus()
    Returns 'status'. User account status: STATUS_ACTIVE, STATUS_PENDING, STATUS_DISABLED, or STATUS_REMOVED.
    Returns:
      Value of 'status'.

  - ### setStatus

    public void setStatus(String status)
    Sets 'status'. User account status: STATUS_ACTIVE, STATUS_PENDING, STATUS_DISABLED, or STATUS_REMOVED.
    Parameters:
      `status` - Value of 'status'.

  - ### getLicenseType

    public String getLicenseType()
    Returns 'licenseType'. User license type: LICENSE_TYPE_ALM or LICENSE_TYPE_SCM.
    Returns:
      Value of 'licenseType'.

  - ### setLicenseType

    public void setLicenseType(String licenseType)
    Sets 'licenseType'. User license type: LICENSE_TYPE_ALM or LICENSE_TYPE_SCM.
    Parameters:
      `licenseType` - Value of 'licenseType'.

  - ### getLastLogin

    public Date getLastLogin()
    Returns 'lastLogin'. User last login timestamp.
    Returns:
      Value of 'lastLogin'.

  - ### setLastLogin

    public void setLastLogin(Date lastLogin)
    Sets 'lastLogin'. User last login timestamp.
    Parameters:
      `lastLogin` - Value of 'lastLogin'.

  - ### getProfilePictureLink

    public String getProfilePictureLink()
    Returns 'profilePictureLink'. User's profile picture link.
    Returns:
      Value of 'profilePictureLink'.

  - ### setProfilePictureLink

    public void setProfilePictureLink(String profilePictureLink)
    Sets 'profilePictureLink'. User's profile picture link.
    Parameters:
      `profilePictureLink` - Value of 'profilePictureLink'.

  - ### registerTypeMappings

    public static void registerTypeMappings(org.apache.axis.client.Call call)